<?php
 
/**
  * 
  * @link              https://profiles.wordpress.org/chirag967/
  * @since             1.0.0
  * @package           Global_Content_Manager
  *
  * @wordpress-plugin
  * Plugin Name:       Global Content Manager
  * Plugin URI:        
  * Description:       The Global Content Manager plugin allowing you to create, manage, and display global content sections effortlessly across multiple locations. Whether you're running a blog, an e-commerce site, or a complex corporate portal, this plugin provides a centralized solution for managing content that needs to be consistent and up-to-date throughout your website. 
  * Version:           1.0.0
  * Author:            Chirag Prajapati
  * Author URI:        https://profiles.wordpress.org/chirag967/
  * License:           GPL2
  * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
  * Text Domain:       global-content-manager
  * Domain Path:       /languages
  * */

// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) exit;
 
/**
  * Currently plugin version.
  */
define( 'GLCM_VERSION', '1.0.0' ); 

/**
  * Plugin's basename
  */
define( 'GLCM_BASENAME', plugin_basename(__FILE__) );


/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-glcm-activator.php
 */
function glcm_activate_func() {
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-glcm-activator.php';
    GLCM_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-simple-cpt-deactivator.php
 */
function glcm_deactivate_func() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-glcm-deactivator.php';
	GLCM_Deactivator::deactivate();
}
register_activation_hook( __FILE__, 'glcm_activate_func' );
register_deactivation_hook( __FILE__, 'glcm_deactivate_func' );


/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-glcm.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function glcm_run() {

	$plugin = new GLCM();
	$plugin->run();

}
glcm_run();