<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link              https://profiles.wordpress.org/chirag967/
 * @since             1.0.0
 * 
 * @package           Global_Content_Manager
 * @subpackage Global_Content_Manager/includes
 */

/**
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 */
class GLCM_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'global-content-manager',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
