<?php

/**
 * The public-facing functionality of the plugin.
 *
 * @link              https://profiles.wordpress.org/chirag967/
 * @since             1.0.0
 * @package           Global_Content_Manager
 */

/**
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the public-facing stylesheet and JavaScript.
 * 
 */
class GLCM_Public {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of the plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

	}
    /**
	 * Created GLCM shortcode 
	 *
	 * @since    1.0.0
	 * @param    array    $$atts       The name of the plugin. 
	 */
    public function glcm_shortcode_func($atts){
        extract(shortcode_atts(
            array(
              'id' => '',
            ),
            $atts
        ));
        $id = (int)$id;
        $pageContent = '';
        if (!empty($id)) {
            $pageContent = apply_filters('the_content', get_the_content(null, false, $id));
        }
        return $pageContent;
    } 
}
